<Query Kind="Statements">
  <Namespace>System.Text.Json.Nodes</Namespace>
</Query>

var node = JsonNode.Parse (@"[1, 2, 3, 4, 5]").Dump ("JsonArray");
Debug.Assert (node is JsonArray);

node.AsArray().Count.Dump ("Array element count");

foreach (JsonNode child in node.AsArray())
	child.ToJsonString().Dump ("array element");

// Reach directly in to first element via indexer:
Console.WriteLine ((int)node [0]);   // 1