<Query Kind="Statements">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>System.Text.Json</Namespace>
  <Namespace>System.Text.Json.Nodes</Namespace>
  <Namespace>System.Text.Json.Serialization</Namespace>
</Query>

var node = JsonNode.Parse ("{ \"Color\": \"Red\" }").Dump ("Before");
node ["Color"] = "White";
node ["Valid"] = true;
node.Dump ("After updates");

node.AsObject().Remove ("Valid");
node.Dump ("After removing property");

var arrayNode = JsonNode.Parse ("[1, 2, 3]").Dump ("arrayNode before");
arrayNode.AsArray().RemoveAt (0);
arrayNode.AsArray().Add (4);
arrayNode.Dump ("arrayNode after");
