<Query Kind="Program" />

#nullable enable
void Main()
{
	PrintPropertyNullability (GetType().GetProperty ("Foo")!);
	PrintPropertyNullability (GetType().GetProperty ("Bar")!);
	
	PrintPropertyNullability (GetType().GetProperty ("FooArray")!);
	PrintPropertyNullability (GetType().GetProperty ("BarArray")!);
}

public string? Foo { get; set; }
public string Bar { get; set; } = "Bar";

public string?[]? FooArray { get; set; }
public string[] BarArray { get; set; } = new[] { "bar" };

void PrintPropertyNullability (PropertyInfo pi)
{
	var info = new NullabilityInfoContext().Create (pi);
	info.Dump (pi.Name); 
}