<Query Kind="Statements">
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

Util.NewProcess = true;    // Tell LINQPad not to recycle the process

var timer = new PeriodicTimer (TimeSpan.FromSeconds (1));
StartPeriodicOperation();

async void StartPeriodicOperation()
{
	while (await timer.WaitForNextTickAsync())
		Console.WriteLine ("Tick");    // Do some action
}