<Query Kind="Statements">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>System.Text.Json</Namespace>
  <Namespace>System.Text.Json.Serialization</Namespace>
</Query>

// This creates the sample files used in Chapter 11 for JSON.
// This query is #load-ed by other queries, so you don't need to run it directly.
// The files are cleaned up when you exit LINQPad

var personJson = @"{
	""FirstName"":""Sara"",
	""LastName"":""Wells"",
	""Age"":35,
	""Friends"":[""Dylan"",""Ian""]
}";

string personPath = "Person.json";
if (!File.Exists ("personPath")) File.WriteAllText (personPath, personJson);

var personArrayJson = @"[
	{
		""FirstName"":""Sara"",
		""LastName"":""Wells"",
		""Age"":35,
		""Friends"":[""Ian""]
	},
	{
		""FirstName"":""Ian"",
		""LastName"":""Weems"",
		""Age"":42,
		""Friends"":[""Joe"",""Eric"",""Li""]
	},
	{
		""FirstName"":""Dylan"",
		""LastName"":""Lockwood"",
		""Age"":46,
		""Friends"":[""Sara"",""Ian""]
	}
]";

string personArrayPath = "PersonArray.json";
if (!File.Exists (personArrayPath)) File.WriteAllText (personArrayPath, personArrayJson);