<Query Kind="Statements">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>System.Text.Json</Namespace>
  <Namespace>System.Text.Json.Serialization</Namespace>
  <Namespace>System.Text.Json.Nodes</Namespace>
</Query>

#load ".\Create sample JSON files.linq"

JsonNode node = JsonNode.Parse (personArrayJson);

var query =
	from person in node.AsArray()
	select new
	{
		FirstName = (string) person ["FirstName"],
		Age = (int) person ["Age"],
		Friends =
			from friend in person ["Friends"].AsArray()
			select (string) friend
	};

query.Dump();