<Query Kind="Statements">
  <Namespace>System.Text.Json.Nodes</Namespace>
</Query>

var node = JsonNode.Parse ("123");                  // Parses to a JsonValue
(node is JsonValue).Dump ("node is JsonValue");
node.Dump ("JsonValue");

((JsonValue)node).GetValue<int>().Dump ("number");  // Works, but clumsy!
	 node.AsValue().GetValue<int>().Dump ("number");  // Shortcut for above
	 node          .GetValue<int>().Dump ("number");  // Better shortcut
                         ((int)node).Dump ("number");  // Even better shortcut!

if (node.AsValue().TryGetValue<int> (out var number))
	number.Dump ("Parse succeeded");