<Query Kind="Statements">
  <Namespace>System.Runtime.Serialization</Namespace>
  <Namespace>System.Text.Json</Namespace>
  <Namespace>System.Text.Json.Nodes</Namespace>
  <Namespace>System.Text.Json.Serialization</Namespace>
</Query>

#load ".\Create sample JSON files.linq"

JsonNode node = JsonNode.Parse (personArrayJson);
string oldJson = node.ToString();

node[0]["Friends"].AsArray().Add ("Amy");   // Give the first person another friend

node[1]["NewValue"] = 123.456;              // Add a new simply-typed property to the second person 

node[2]["NewObject"] = new JsonObject       // Add a new object-typed property to the third person
{
	["X"] = 1,
	["Y"] = 2
};

// Write the udpated DOM back to a JSON string:
string newJson = node.ToString();

// Get LINQPad to display the difference between the old and new JSON:
Util.Dif (oldJson, newJson).Dump();