<Query Kind="Statements">
  <Namespace>System.Net</Namespace>
  <Namespace>System.Net.Http</Namespace>
</Query>

// Rethrowing lets you back out of handling an exception should circumstances turn out to be
// outside what you expected:

string s = null;

try 
{
	s = await new HttpClient().GetStringAsync ("http://www.albahari.com/x");
}
catch (HttpRequestException ex)
{
	if (ex.StatusCode == HttpStatusCode.Forbidden)
		Console.WriteLine ("Forbidden");
	else
		throw;     // Can’t handle other cases, so rethrow
}

s.Dump();